/**************************\
  Basic Modal Styles
\**************************/
form.cart[data-tooltip] ,.wcpay-payment-request-wrapper[data-tooltip] {
  position: relative;
  display: inline-block;
}
.cropper-container.cropper-bg{overflow: hidden;}
form.cart[data-tooltip]::before ,.wcpay-payment-request-wrapper[data-tooltip]::before{
  content: attr(data-tooltip)!important;
  position: absolute;
  background-color: #333;
  color: #fff;
  padding: 5px;
  border-radius: 3px;
  font-size: 12px;
  white-space: nowrap;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s, opacity 0.2s ease-in-out;
  pointer-events: none; /* Ensure tooltip doesn't interfere with pointer events */
}

form.cart[data-tooltip]:hover::before,.wcpay-payment-request-wrapper[data-tooltip]:hover::before {
  visibility: visible;
  opacity: 1;
}
.cropit-preview{margin:auto}
.zoomout,.zoomin{ font-family: 'icomoon' !important;
	speak: never;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;
  
	/* Better Font Rendering =========== */
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
  display: flex;
  align-items: center;}
.image-size-label{
  display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 15px;
    margin-top:30px
}
#zoom-slider{
  flex-basis: 100%;
}
#zoom-slider{
    height: 4px;
}


#zoom-slider .ui-slider-handle{
  top: -16px;
  width: 30px;
  height: 30px;
  border-radius: 25px;
  background: #f36533;
  border: 2px solid #ffffff;
}

.ui-corner-all, .ui-corner-top, .ui-corner-right, .ui-corner-tr {
    border-top-right-radius: 9px;
     border-top-left-radius: 9px;
}
.ui-corner-all, .ui-corner-bottom, .ui-corner-right, .ui-corner-br {
    border-bottom-right-radius: 9px;
     border-bottom-left-radius: 9px;
}

.ui-widget-content{
    border: 1px solid #ffffff !important; 
    background: #aaa7a0 ; 
    color: #222222; 
}
 .ui-widget-header { 
       border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border: 1px solid #f36633; 
    background: #f36633; 
    color: #222222; 
    font-weight: bold; }



.ui-slider-horizontal .ui-slider-handle {
    margin-left: -0.8em;
}

.zoomout:before{
  content: "\e905";
  font-size: 30px;
  
}
.zoomin:after{
  content: "\e906";
  font-size: 30px;
}
#framecropimg{
  display: flex;
  flex-direction: column-reverse;
}
#framecropimg .cropme-slider{
  transform-origin: unset!important;
  transform: unset!important;
  margin: 18px auto 0!important;
}
#frame-color{margin-top: 15px;display:block;}
#frame-color .label{margin-bottom: 10px;    display: block;}
.img-btn img{
  width:100px;
  height:100px;
}
.img-btn > input{
  display:none
}
.img-btn > img{
  cursor:pointer;
  border:5px solid transparent;
}
.img-btn > input:checked + img{
  border-color: black;
  border-radius:10px;
}
.upload-progress{
  position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: #000000cf;
    display:none;
}
.upload-progress:after{
  content:"";
  width: 2rem;
  height: 2rem;
  margin: 2rem;
  border-radius: 50%;
  border: 0.3rem solid rgba(151, 159, 208, 0.3);
  border-top-color: #979fd0;
  -webkit-animation: 1.5s spin infinite linear;
          animation: 1.5s spin infinite linear;
          position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    margin: auto;
}
@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}
.d-none {
	display:none;
}


.loader span{
  position: absolute;
  left: 0;
  right: 0;
  margin: 15px auto;
  color:#fff;
  text-align: center;
}

.login_msg{text-align: center;
  margin: 15px;}
.cropme-slider{ font-family: 'icomoon' !important;
	speak: never;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;
  
	/* Better Font Rendering =========== */
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
  display: flex;
  align-items: center;}

.cropme-slider:before{
  content: "\e905";
  font-size: 30px;
  transform: rotate(90deg);
  
}
.cropme-slider:after{
  content: "\e906";
  font-size: 30px;
  transform: rotate(90deg);
}
.modal__overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.9);
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal__container {
  background-color: #fff;
  padding: 30px ;
  max-width: 500px;
  max-height: 100vh;
  border-radius: 4px;
  overflow-y: visible;
  box-sizing: border-box;
}

.modal__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
    flex-direction: column;
    text-align: center;
    line-height: 1.4;
    font-size: 16px;
}

.modal__title {
  margin-top: 0;
  margin-bottom: 0;
  font-weight: 600;
  font-size: 1.25rem;
  line-height: 1.25;
  text-align: center;
  color: #000000;
  box-sizing: border-box;
}

.modal__close {
  background: transparent;
  border: 0;
  position: absolute;
  right: -15px;
  top: -15px;
  font-size: 21px;
  background: #C62828;
  color: #fff;
  border-radius: 100%;
  width: 40px;
  height: 40px;
  padding: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
}


.modal__content {
  margin-top: 2rem;
  margin-bottom: 2rem;
  line-height: 1.5;
  color: rgba(0,0,0,.8);
}
.modal__footer{text-align: center;}
.modal__btn {
  font-size: 30px;
  padding-left: 15px;
  padding-right: 15px;
  padding-top: 5px;
  padding-bottom: 5px;
  background-color: #e6e6e6;
  color: rgba(0, 0, 0, .8);
  border-radius: 0.25rem;
  border-style: none;
  border-width: 0;
  cursor: pointer;
  -webkit-appearance: button;
  text-transform: none;
  overflow: visible;
  line-height: 1;
  margin: 0;
  will-change: transform;
  -moz-osx-font-smoothing: grayscale;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  transition: -webkit-transform .25s ease-out;
  transition: transform .25s ease-out;
  transition: transform .25s ease-out,-webkit-transform .25s ease-out;
}

.modal__btn:focus, .modal__btn:hover {
  -webkit-transform: scale(1.05);
  transform: scale(1.05);
}

.modal__btn-primary {
  background-color: #00449e;
  color: #fff;
}



/**************************\
  Demo Animation Style
\**************************/
@keyframes mmfadeIn {
    from { opacity: 0; }
      to { opacity: 1; }
}

@keyframes mmfadeOut {
    from { opacity: 1; }
      to { opacity: 0; }
}

@keyframes mmslideIn {
  from { transform: translateY(15%); }
    to { transform: translateY(0); }
}

@keyframes mmslideOut {
    from { transform: translateY(0); }
    to { transform: translateY(-10%); }
}

.micromodal-slide {
  display: none;
}

.micromodal-slide.is-open {
  display: block;
}

.micromodal-slide[aria-hidden="false"] .modal__overlay {
  animation: mmfadeIn .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

.micromodal-slide[aria-hidden="false"] .modal__container {
  animation: mmslideIn .3s cubic-bezier(0, 0, .2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__overlay {
  animation: mmfadeOut .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__container {
  animation: mmslideOut .3s cubic-bezier(0, 0, .2, 1);
}

.micromodal-slide .modal__container,
.micromodal-slide .modal__overlay {
  will-change: transform;
}

.frame__upload {
  text-align:center;
 display: flex; align-items: center; justify-content: center;position:absolute; 
 padding: calc(2mm * 100 / 72);
   box-shadow: 0 0 1px;

}
   #canvasContainer.black .frame__upload{
       background: #000;
   }
   #canvasContainer.white .frame__upload{
       background: white;
   }
.frame__upload span{ background: #fff;   box-shadow: inset 2px 2px 4px #0000007a;
  display: flex;
   width: 100%;
   height: 100%;
   align-items: center;
   flex-direction:column;
   justify-content: center;}
   .frame__upload span p:first-child{font-size:12px; letter-spacing: 0;}
   .frame__upload span p  {
     line-height: 1;
   margin: 4px 0;
   font-size: small;
   letter-spacing: -2px;
}

   .cropit-preview{
    position: relative;
    outline:calc(2mm * 100 / 72) solid;   box-shadow: inset 2px 2px 4px #0000007a;
  display: flex;
   width: 100%;
   height: 100%;
   align-items: center;
   justify-content: center;}
   #canvasContainer.black  .cropit-preview{outline-color:#000}
   #canvasContainer.white  .cropit-preview{outline-color:#fff}
   #canvasContainer.black  .cropper-view-box {
    box-shadow: none;
    outline-color:#000
  }
  #canvasContainer.white  .cropper-view-box {
    box-shadow: none;
    outline-color:#fff
  }
.frame__upload:after,.cropit-preview:after,
.frame__upload:before,.cropit-preview:before {
 content: '';
 position: absolute;
 box-shadow: 5px 1px 14px 0px #00000038;
}

.frame__upload:after {
   
  width: 100%;
  height: 10px;
  left: 5px;
  bottom: 0;
  transform: translatey(100%) skewx(45deg);
 }
.cropit-preview:after {
   
 height: 10px;

 transform: translatey(100%) skewx(45deg);
 width: calc(100% + 4mm * 100 / 72);
 left: calc(-1mm * 100 / 72);
 bottom: calc(-1.9mm * 100 / 72);
}

   #canvasContainer.black  .frame__upload:after,#canvasContainer.black  .cropit-preview:after{
      background:#333333;
   }
   #canvasContainer.white .frame__upload:after,#canvasContainer.white  .cropit-preview:after{
      background:#858585;
   }
   .frame__upload:before{
    width: 10px;
    height: 100%;
    right: 0;
    transform: translatex(100%) skewy(45deg);
    top:  5px;
   }

.cropit-preview:before {
  width: 10px;
  height: calc(100% + 4mm * 100 / 72);
  right: calc(-1.9mm * 100 / 72);
  transform: translatex(100%) skewy(45deg);
  top: calc(-1mm * 100 / 72);
 }  
   #canvasContainer.black  .frame__upload:before,#canvasContainer.black  .cropit-preview:before{
     
      background:#4D4D4D;
   }
   #canvasContainer.white .frame__upload:before,#canvasContainer.white  .cropit-preview:before{
        background:#D0D0D0;
   }
#frame__layout{position: relative;
   margin: 0;
   padding: 0;
   background: #fff;}
 #frame__layout li {
   background: #FFF;
   text-align: center;
   position: absolute !important;
   cursor: pointer;
   list-style: none;
   padding-right: 0;
   padding-left: 0;
   border: 1px dashed #cccccc;
   overflow: hidden;
   display: -webkit-box!important;
   display: -ms-flexbox!important;
   display: flex!important;
   -webkit-box-pack: center!important;
   -ms-flex-pack: center!important;
   justify-content: center!important;
   -webkit-box-align: center!important;
   -ms-flex-align: center!important;
   align-items: center!important;
}
#canvasContainer{
 display:flex;position: relative; 
}
.micromodal-slide.is-open {
   z-index: 99;
   position: relative;
}
.woocommerce div.product div.images .frame__upload  img {
   height: 100%;
   object-fit: cover;
   display:none;
}
#canvasContainer .phicon-crop{
  position: absolute;
  color: #fff;
  top: 15px;
  right: 15px;
  cursor: pointer;
  background: #000;
  width: 25px;
  height: 25px;
  border-radius: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 12px;
}